%global dlrn_nvr ironic-13.0.8.dev31-2.20211124024852.c424f9e
%global dlrn 1
%define upstream_version 13.0.8.dev31
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%global full_release ironic-%{version}

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           openstack-ironic
# Liberty semver reset
# https://review.openstack.org/#/q/I1a161b2c1d1e27268065b6b4be24c8f7a5315afb,n,z
Epoch:          1
Summary:        OpenStack Baremetal Hypervisor API (ironic)
Version: 13.0.8
Release: 2.20211124024852.c424f9e%{?dist}
License:        ASL 2.0
URL:            http://www.openstack.org
Source0: ironic-13.0.8.dev31-2.20211124024852.c424f9e.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=c424f9e8f298ea51d24cd1b1bdbc151ae6ae6ff4
Patch0001: 0001-Correct-handling-of-ramdisk_params-in-i-PXE-boot.patch
Patch0002: 0002-Backward-compatibility-for-the-ramdisk_params-change.patch
Patch0003: 0003-Foundation-for-boot-network-management-for-in-band-i.patch
Patch0004: 0004-Wire-in-in-band-inspection-for-PXE-boot-and-neutron-.patch
Patch0005: 0005-Implement-managed-in-band-inspection-boot-for-redfis.patch
Patch0006: 0006-Add-Redfish-vmedia-boot-interface-to-idrac-HW-type.patch
Patch0007: 0007-Change-default-to-False-for-use_ipmitool_retries.patch
Patch0008: 0008-Make-image_checksum-optional-if-other-checksum-is-pr.patch
Patch0009: 0009-Provide-a-path-to-set-explicit-ipxe-bootloaders.patch

Source1:        openstack-ironic-api.service
Source2:        openstack-ironic-conductor.service
Source3:        ironic-rootwrap-sudoers
Source4:        ironic-dist.conf
Source5:        ironic.logrotate

BuildArch:      noarch
BuildRequires:  openstack-macros
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-pbr
BuildRequires:  openssl-devel
BuildRequires:  libxml2-devel
BuildRequires:  libxslt-devel
BuildRequires:  gmp-devel
BuildRequires:  python%{pyver}-sphinx
BuildRequires:  systemd
# Required to compile translation files
BuildRequires:  python%{pyver}-babel
# Required to run unit tests
BuildRequires:  python%{pyver}-alembic
BuildRequires:  python%{pyver}-automaton
BuildRequires:  python%{pyver}-cinderclient
BuildRequires:  python%{pyver}-ddt
BuildRequires:  python%{pyver}-eventlet
BuildRequires:  python%{pyver}-futurist
BuildRequires:  python%{pyver}-glanceclient
BuildRequires:  python%{pyver}-jinja2
BuildRequires:  python%{pyver}-jsonpatch
BuildRequires:  python%{pyver}-jsonschema
BuildRequires:  python%{pyver}-keystoneauth1
BuildRequires:  python%{pyver}-keystonemiddleware
BuildRequires:  python%{pyver}-mock
BuildRequires:  python%{pyver}-neutronclient
BuildRequires:  python%{pyver}-openstacksdk
BuildRequires:  python%{pyver}-oslo-concurrency
BuildRequires:  python%{pyver}-oslo-config
BuildRequires:  python%{pyver}-oslo-context
BuildRequires:  python%{pyver}-oslo-db
BuildRequires:  python%{pyver}-oslo-db-tests
BuildRequires:  python%{pyver}-oslo-i18n
BuildRequires:  python%{pyver}-oslo-log
BuildRequires:  python%{pyver}-oslo-messaging
BuildRequires:  python%{pyver}-oslo-middleware
BuildRequires:  python%{pyver}-oslo-policy
BuildRequires:  python%{pyver}-oslo-reports
BuildRequires:  python%{pyver}-oslo-rootwrap
BuildRequires:  python%{pyver}-oslo-serialization
BuildRequires:  python%{pyver}-oslo-service
BuildRequires:  python%{pyver}-oslo-upgradecheck
BuildRequires:  python%{pyver}-oslo-utils
BuildRequires:  python%{pyver}-oslo-versionedobjects
BuildRequires:  python%{pyver}-oslotest
BuildRequires:  python%{pyver}-osprofiler
BuildRequires:  python%{pyver}-os-traits
BuildRequires:  python%{pyver}-pbr
BuildRequires:  python%{pyver}-pecan
BuildRequires:  python%{pyver}-psutil
BuildRequires:  python%{pyver}-pysnmp
BuildRequires:  python%{pyver}-pytz
BuildRequires:  python%{pyver}-requests
BuildRequires:  python%{pyver}-scciclient
BuildRequires:  python%{pyver}-six
BuildRequires:  python%{pyver}-sqlalchemy
BuildRequires:  python%{pyver}-stestr
BuildRequires:  python%{pyver}-stevedore
BuildRequires:  python%{pyver}-sushy
BuildRequires:  python%{pyver}-swiftclient
BuildRequires:  python%{pyver}-testresources
BuildRequires:  python%{pyver}-testscenarios
BuildRequires:  python%{pyver}-testtools
BuildRequires:  python%{pyver}-tooz
BuildRequires:  python%{pyver}-wsme

# Handle python2 exception
%if %{pyver} == 2
BuildRequires:  pysendfile
BuildRequires:  python-dracclient
BuildRequires:  python-ironic-inspector-client
BuildRequires:  python-ironic-lib
BuildRequires:  python-proliantutils
BuildRequires:  python-retrying
BuildRequires:  python-webob
%else
BuildRequires:  python%{pyver}-pysendfile
BuildRequires:  python%{pyver}-dracclient
BuildRequires:  python%{pyver}-ironic-inspector-client
BuildRequires:  python%{pyver}-ironic-lib
BuildRequires:  python%{pyver}-proliantutils
BuildRequires:  python%{pyver}-retrying
BuildRequires:  python%{pyver}-webob
%endif

%prep
%setup -q -n ironic-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1

# Let RPM handle the requirements
%py_req_cleanup
# Remove tempest plugin entrypoint as a workaround
sed -i '/tempest/d' setup.cfg
rm -rf ironic_tempest_plugin
%build
%{pyver_build}

%install
%{pyver_install}

install -p -D -m 644 %{SOURCE5} %{buildroot}%{_sysconfdir}/logrotate.d/openstack-ironic

# install systemd scripts
mkdir -p %{buildroot}%{_unitdir}
install -p -D -m 644 %{SOURCE1} %{buildroot}%{_unitdir}
install -p -D -m 644 %{SOURCE2} %{buildroot}%{_unitdir}

# install sudoers file
mkdir -p %{buildroot}%{_sysconfdir}/sudoers.d
install -p -D -m 440 %{SOURCE3} %{buildroot}%{_sysconfdir}/sudoers.d/ironic

mkdir -p %{buildroot}%{_sharedstatedir}/ironic/
mkdir -p %{buildroot}%{_localstatedir}/log/ironic/
mkdir -p %{buildroot}%{_sysconfdir}/ironic/rootwrap.d

#Populate the conf dir
export PYTHONPATH=.
oslo-config-generator-%{pyver} --config-file tools/config/ironic-config-generator.conf --output-file %{buildroot}/%{_sysconfdir}/ironic/ironic.conf
oslopolicy-sample-generator-%{pyver} --config-file tools/policy/ironic-policy-generator.conf --format json --output-file %{buildroot}/%{_sysconfdir}/ironic/policy.json
mv %{buildroot}%{_prefix}/etc/ironic/rootwrap.conf %{buildroot}/%{_sysconfdir}/ironic/rootwrap.conf
mv %{buildroot}%{_prefix}/etc/ironic/rootwrap.d/* %{buildroot}/%{_sysconfdir}/ironic/rootwrap.d/
# Remove duplicate config files under /usr/etc/ironic
rmdir %{buildroot}%{_prefix}/etc/ironic/rootwrap.d
rmdir %{buildroot}%{_prefix}/etc/ironic

# Install distribution config
install -p -D -m 640 %{SOURCE4} %{buildroot}/%{_datadir}/ironic/ironic-dist.conf

%check
PYTHON=%{pyver_bin} stestr-%{pyver} run

%description
Ironic provides an API for management and provisioning of physical machines

%package common
Summary: Ironic common

Requires:   ipmitool
Requires:   python%{pyver}-alembic
Requires:   python%{pyver}-automaton >= 1.9.0
Requires:   python%{pyver}-cinderclient >= 3.3.0
Requires:   python%{pyver}-eventlet
Requires:   python%{pyver}-futurist >= 1.2.0
Requires:   python%{pyver}-glanceclient >= 2.8.0
Requires:   python%{pyver}-jinja2
Requires:   python%{pyver}-jsonpatch
Requires:   python%{pyver}-jsonschema
Requires:   python%{pyver}-keystoneauth1 >= 3.15.0
Requires:   python%{pyver}-keystonemiddleware >= 4.17.0
Requires:   python%{pyver}-neutronclient >= 6.7.0
Requires:   python%{pyver}-openstacksdk >= 0.31.2
Requires:   python%{pyver}-oslo-concurrency >= 3.26.0
Requires:   python%{pyver}-oslo-config >= 2:5.2.0
Requires:   python%{pyver}-oslo-context >= 2.19.2
Requires:   python%{pyver}-oslo-db >= 4.27.0
Requires:   python%{pyver}-oslo-i18n >= 3.15.3
Requires:   python%{pyver}-oslo-log >= 3.36.0
Requires:   python%{pyver}-oslo-messaging >= 5.29.0
Requires:   python%{pyver}-oslo-middleware >= 3.31.0
Requires:   python%{pyver}-oslo-policy >= 1.30.0
Requires:   python%{pyver}-oslo-reports >= 1.18.0
Requires:   python%{pyver}-oslo-rootwrap >= 5.8.0
Requires:   python%{pyver}-oslo-serialization >= 2.18.0
Requires:   python%{pyver}-oslo-service >= 1.24.0
Requires:   python%{pyver}-oslo-utils >= 3.33.0
Requires:   python%{pyver}-oslo-upgradecheck >= 0.1.0
Requires:   python%{pyver}-oslo-versionedobjects >= 1.31.2
Requires:   python%{pyver}-osprofiler >= 1.5.0
Requires:   python%{pyver}-os-traits >= 0.4.0
Requires:   python%{pyver}-pbr
Requires:   python%{pyver}-pecan
Requires:   python%{pyver}-psutil
Requires:   python%{pyver}-pysnmp
Requires:   python%{pyver}-pytz
Requires:   python%{pyver}-requests
Requires:   python%{pyver}-rfc3986 >= 0.3.1
Requires:   python%{pyver}-scciclient >= 0.5.0
Requires:   python%{pyver}-six
Requires:   python%{pyver}-sqlalchemy
Requires:   python%{pyver}-stevedore >= 1.20.0
Requires:   python%{pyver}-sushy
Requires:   python%{pyver}-swiftclient >= 3.2.0
Requires:   python%{pyver}-tooz >= 1.58.0
Requires:   python%{pyver}-wsme

# Handle python2 exception
%if %{pyver} == 2
Requires:   pysendfile
Requires:   python-dracclient >= 1.3.0
Requires:   python-ironic-inspector-client >= 1.5.0
Requires:   python-ironic-lib >= 2.17.1
Requires:   python-proliantutils >= 2.4.0
Requires:   python-retrying
Requires:   python-webob >= 1.7.1
%else
Requires:   python%{pyver}-pysendfile
Requires:   python%{pyver}-dracclient >= 1.3.0
Requires:   python%{pyver}-ironic-inspector-client >= 1.5.0
Requires:   python%{pyver}-ironic-lib >= 2.17.1
Requires:   python%{pyver}-proliantutils >= 2.4.0
Requires:   python%{pyver}-retrying
Requires:   python%{pyver}-webob >= 1.7.1
%endif

Requires(pre):  shadow-utils

%description common
Components common to all OpenStack Ironic services


%files common
%doc README.rst
%license LICENSE
%{_bindir}/ironic-dbsync
%{_bindir}/ironic-rootwrap
%{_bindir}/ironic-status
%{pyver_sitelib}/ironic
%{pyver_sitelib}/ironic-*.egg-info
%exclude %{pyver_sitelib}/ironic/tests
%{_sysconfdir}/sudoers.d/ironic
%config(noreplace) %{_sysconfdir}/logrotate.d/openstack-ironic
%config(noreplace) %attr(-,root,ironic) %{_sysconfdir}/ironic
%attr(-,ironic,ironic) %{_sharedstatedir}/ironic
%attr(0750,ironic,ironic) %{_localstatedir}/log/ironic
%attr(-, root, ironic) %{_datadir}/ironic/ironic-dist.conf
%exclude %{pyver_sitelib}/ironic_tests.egg_info

%pre common
getent group ironic >/dev/null || groupadd -r ironic
getent passwd ironic >/dev/null || \
    useradd -r -g ironic -d %{_sharedstatedir}/ironic -s /sbin/nologin \
-c "OpenStack Ironic Daemons" ironic
exit 0

%package api
Summary: The Ironic API

Requires: %{name}-common = %{epoch}:%{version}-%{release}

%if 0%{?rhel} && 0%{?rhel} < 8
%{?systemd_requires}
%else
%{?systemd_ordering} # does not exist on EL7
%endif

%description api
Ironic API for management and provisioning of physical machines


%files api
%{_bindir}/ironic-api
%{_bindir}/ironic-api-wsgi
%{_unitdir}/openstack-ironic-api.service

%post api
%systemd_post openstack-ironic-api.service

%preun api
%systemd_preun openstack-ironic-api.service

%postun api
%systemd_postun_with_restart openstack-ironic-api.service

%package conductor
Summary: The Ironic Conductor

Requires: %{name}-common = %{epoch}:%{version}-%{release}
Requires: udev

%if 0%{?rhel} && 0%{?rhel} < 8
%{?systemd_requires}
%else
%{?systemd_ordering} # does not exist on EL7
%endif

%description conductor
Ironic Conductor for management and provisioning of physical machines

%files conductor
%{_bindir}/ironic-conductor
%{_unitdir}/openstack-ironic-conductor.service

%post conductor
%systemd_post openstack-ironic-conductor.service

%preun conductor
%systemd_preun openstack-ironic-conductor.service

%postun conductor
%systemd_postun_with_restart openstack-ironic-conductor.service

%package -n python%{pyver}-ironic-tests
Summary:        Ironic unit tests
%{?python_provide:%python_provide python%{pyver}-ironic-tests}
Requires:       %{name}-common = %{epoch}:%{version}-%{release}
Requires:       python%{pyver}-mock
Requires:       python%{pyver}-oslotest
Requires:       python%{pyver}-stestr
Requires:       python%{pyver}-testresources
Requires:       python%{pyver}-testscenarios
Requires:       python%{pyver}-testtools


%description -n python%{pyver}-ironic-tests
This package contains the Ironic test files.

%files -n python%{pyver}-ironic-tests
%{pyver_sitelib}/ironic/tests

%changelog
* Tue Nov 23 2021 OSP Prod Chain <dev-null@redhat.com> 1:13.0.8-2.20211124024852.c424f9e
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- CI: Work around tinyipa build issues

* Mon Nov 22 2021 OSP Prod Chain <dev-null@redhat.com> 1:13.0.8-2.20211123034938.53c01e4
- Update patches

* Mon Nov 22 2021 OSP Prod Chain <dev-null@redhat.com> 1:13.0.8-2.20211123024910.53c01e4
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Fix redfish-virtual-media file permission

* Mon Nov 22 2021 OSP Prod Chain <dev-null@redhat.com> 1:13.0.8-2.20211123004901.be7cff6
- Fix redfish-virtual-media file permission (rhbz#1984968)

* Mon Nov 15 2021 OSP Prod Chain <dev-null@redhat.com> 1:13.0.8-2.20211116024847.be7cff6
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Fix idrac-wsman deploy with existing non-BIOS jobs

* Wed Oct 27 2021 OSP Prod Chain <dev-null@redhat.com> 1:13.0.8-2.20211028024932.31c7469
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Extend power sync timeout for Ericsson SDI

* Mon Sep 27 2021 OSP Prod Chain <dev-null@redhat.com> 1:13.0.8-2.20210928024820.bf156e6
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- [Stable only] remove require_exclusive_lock from detect_vendor

* Fri Sep 17 2021 OSP Prod Chain <dev-null@redhat.com> 1:13.0.8-2.20210918024816.2806b38
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Fix idrac-wsman set_power_state to wait on HW
- Update the clear job id's constant

* Thu Sep 16 2021 OSP Prod Chain <dev-null@redhat.com> 1:13.0.8-2.20210917024812.ccb4508
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Use shim-signed on Ubuntu, shim is empty now
- Fix Redfish jobs by pinning sushy-tools

* Mon Aug 02 2021 OSP Prod Chain <dev-null@redhat.com> 1:13.0.8-2.20210802103828.1bdee99
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Provide a path to set explicit ipxe bootloaders

* Wed Jul 28 2021 OSP Prod Chain <dev-null@redhat.com> 1:13.0.8-2.20210728181806.0db9bc6
- Provide a path to set explicit ipxe bootloaders (rhbz#1982489)

* Tue Jul 27 2021 OSP Prod Chain <dev-null@redhat.com> 1:13.0.8-2.20210728024811.0db9bc6
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Set driver lib tox jobs to utilize openstack-tox

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 1:13.0.8-2.20210528130908.f1b87e8
- Update patches

* Thu Apr 29 2021 OSP Prod Chain <dev-null@redhat.com> 1:13.0.8-2.20210429044806.f1b87e8
- Update patches

* Thu Apr 22 2021 OSP Prod Chain <dev-null@redhat.com> 1:13.0.8-2.20210422044740.f1b87e8
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- update grub2 file name

* Wed Apr 21 2021 OSP Prod Chain <dev-null@redhat.com> 1:13.0.8-.20210421074906.5cbf14f
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Restrict syncing of boot mode to Supermicro
- For Supermicro BMCs set enable when changing boot device
- Refactor vendor detection and add Redfish implementation

* Tue Apr 20 2021 OSP Prod Chain <dev-null@redhat.com> 1:13.0.7-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Allow unsupported redfish set_boot_mode

* Mon Apr 19 2021 OSP Prod Chain <dev-null@redhat.com> 1:13.0.7-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- IPMI: Handle vendor set boot device differences

* Thu Apr 08 2021 OSP Prod Chain <dev-null@redhat.com> 1:13.0.7-1
- Update patches

* Tue Mar 30 2021 OSP Prod Chain <dev-null@redhat.com> 1:13.0.7-1
- Allow unsupported redfish set_boot_mode (rhbz#1944409)

* Tue Mar 23 2021 OSP Prod Chain <dev-null@redhat.com> 1:13.0.7-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Lazy-load node details from the DB
- DRAC: Fix a failure to create virtual disk

* Tue Mar 09 2021 OSP Prod Chain <dev-null@redhat.com> 1:13.0.7-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- [Trivial] Fix testing of volume connector exception

* Tue Feb 16 2021 OSP Prod Chain <dev-null@redhat.com> 1:13.0.7-1
- Update patches

* Sat Feb 13 2021 OSP Prod Chain <dev-null@redhat.com> 1:13.0.6-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- CI: switch the multinode job to tempest-multinode-full-base

* Thu Feb 11 2021 OSP Prod Chain <dev-null@redhat.com> 1:13.0.6-1
- Update patches

* Thu Feb 11 2021 Steve Baker <sbaker@redhat.com> 1:13.0.6-1
- Generate policy.json in json format

* Mon Feb 01 2021 OSP Prod Chain <dev-null@redhat.com> 1:13.0.6-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Remove grenade jobs from old stable branches

* Tue Jan 19 2021 OSP Prod Chain <dev-null@redhat.com> 1:13.0.6-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Sync boot mode when changing the boot device via Redfish

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> 1:13.0.6-1
- Update patches

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> 1:13.0.6-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- [stable-only] Fix bandit upper constraint

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.6-1
- Update patches

* Wed Nov 11 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.6-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- DRAC: Fix a failure to create virtual disk bug

* Tue Nov 03 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.6-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- clean up mac address with the pxe configuration files

* Sat Oct 31 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.6-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- opt: Enhance old stable branches to use latest python-ibmcclient

* Sat Oct 24 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.6-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- DRAC: Fix RAID create_config clean step

* Tue Oct 20 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.6-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Increase Memory for Ironic Jobs

* Sat Oct 03 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.6-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Fix a race condition in the hash ring code
- Use correct error handler instead of calling process_event('fail')

* Wed Sep 30 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.6-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Fix deprecated 'idrac' interface '__init__'s

* Thu Sep 24 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.6-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- CI: Patch to fix CI jobs in bugfix/stable branches
- Allow configuring IPMI cipher suite

* Fri Sep 04 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.6-1
- Update patches
- Ansible deploy - Ignore invalid devices

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.6-1
- Update patches

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.6-1
- Update patches

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.6-1
- Ansible deploy - Ignore invalid devices
- Ansible deploy - Ignore invalid devices

* Tue Aug 25 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.6-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Ansible deploy - Ignore invalid devices

* Thu Aug 20 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.6-1
- Update patches

* Tue Aug 18 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.5-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- DRAC: Drives conversion from raid to jbod

* Mon Aug 17 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.5-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- DRAC: Drives conversion from JBOD to RAID

* Fri Aug 07 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.5-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Update number of VM on ironic-base

* Thu Aug 06 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.5-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Use TLS for json_rpc when configured

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.5-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Remove locks before RPC bus is started

* Wed Jul 29 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.5-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Remove iDRAC Redfish boot device known issue

* Wed Jul 22 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.5-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Stop running test_schedule_to_all_nodes in the multinode job

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.5-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- New configuration parameter to use ipmitool retries
- Correct Redfish boot once fallback conditional

* Fri Jul 17 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.5-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Allow deleting nodes with a broken driver

* Fri Jul 17 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.5-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Stop using md5 for __repr__ of objects

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.5-1
- Update patches

* Mon Jul 13 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.5-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- add tempest boot_mode config

* Wed Jul 08 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.5-1
- Update patches

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.4-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Software RAID: don't try to set local_gb to MAX
- Fix the error message when reached max number of traits

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.4-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Clean up nodes in DELETING on conductor restart

* Wed Jun 24 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.4-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Fix fast-track with the direct deploy interface

* Tue Jun 23 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.4-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Fix Redfish handle no continuous override boot src

* Fri Jun 19 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.4-1
- Update patches

* Thu Jun 18 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.3-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- devstack: Use uwsgi binary from path; temporary disable grenade

* Wed Jun 17 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.3-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- agent: do not hard power off if soft power off actually succeeds

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.3-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- devstack: increase concurrency and worker timeout for sushy-tools

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.3-1
- Update patches

* Fri Jun 05 2020 Bob Fournier <bfournie@redhat.com> 1:13.0.4-0.20200529150916.911bc51
- Make image_checksum optional if other checksum is present (rhbz#1844553)

* Fri May 29 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.3-1
- Change default to ``False`` for ``use_ipmitool_retries`` (rhbz#1831893)

* Fri May 29 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.3-1
- New configuration parameter to use ipmitool retries (rhbz#1831893)
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- redfish: handle hardware that is unable to set persistent boot

* Thu May 28 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.3-1
- redfish: handle hardware that is unable to set persistent boot (rhbz#1841216)
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Add the noop management interface to the redfish hardware type

* Thu May 28 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.3-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Collect ramdisk logs also during cleaning

* Mon May 18 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.3-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Revert "Add timeout and retries to JSON RPC client"

* Mon May 18 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.3-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Pin the python-ibmcclient upper bounds due to six usage

* Thu May 14 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.3-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Improve `redfish` set-boot-device behaviour
- Improve `redfish` set-boot-mode implementation

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.3-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Add timeout and retries to JSON RPC client

* Mon May 11 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.3-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Silence debug messages from oslo_messaging

* Sat May 09 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.3-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- redfish: split reboot into power off followed by power on
- DRAC: Added redfish management interface issue

* Sun Apr 26 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.3-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Fix issue where server fails to reboot

* Fri Apr 24 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.3-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Add note about UEFI support in Train

* Fri Apr 24 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.3-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Add link to other Redfish parms to iDRAC doc

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.3-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Fix RAID configuration with idrac-wsman interface

* Wed Apr 22 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.3-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Update iDRAC doc about soft power off timeout

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.3-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Update iDRAC doc about vendor passthru timeout

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.3-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Fix enabled_hardware_types from idrac-wsman to idrac

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.3-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Fix SpanLength calculation for DRAC RAID configuration

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.3-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Document deploy_boot_mode and boot_option for standalone deployments

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.3-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Do not autoescape all Jinja2 templates

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.3-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Additional IP addresses to IPv6 stateful ports

* Sun Apr 05 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.3-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Make deploy step failure logging indicate the error

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.3-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Move ipmi logging to a separate option

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.3-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Extend install_bootloader command timeout

* Sat Mar 28 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.3-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Retry agent get_command_status upon failures

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.3-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Documentation clarifications for software RAID

* Thu Mar 12 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.3-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Change force_raw_images to use sha256 if md5 is selected

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.3-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Make reservation checks caseless

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.3-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Docs: split away user image building and highlight whole disk images
- Using loop instead of with_X

* Mon Feb 24 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.2-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Use FIPS-compatible SHA256 for comparing files

* Tue Feb 18 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.2-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Lower tempest concurrency

* Thu Feb 13 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.2-1
- Update patches

* Wed Feb 12 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.2-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- tell reno to ignore the kilo branch

* Wed Feb 12 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.2-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Fix ipxe interface to perform ipxe boot without ipxe_enabled enabled

* Mon Feb 10 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.2-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Fix bash comparisons for grenade multinode switch

* Fri Jan 31 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.2-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Fix typo in setup-network.sh script

* Thu Jan 30 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.2-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Don't require root partition when installing a whole disk image

* Wed Jan 22 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.2-1
- Update patches

* Tue Jan 21 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.2-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Fix entry paths for cleaning and deployment

* Mon Jan 13 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.2-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)

* Mon Jan 13 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.2-1
- Update patches

* Fri Jan 10 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.2-1
- Add Redfish vmedia boot interface to idrac HW type (rhbz#1779286)
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Fix fast_track + agent_url update fix

* Thu Jan 09 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.2-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Explicitly use ipxe as boot interface for iPXE testing

* Fri Jan 03 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.2-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- redfish-vmedia: correctly pass ipa-debug

* Fri Jan 03 2020 OSP Prod Chain <dev-null@redhat.com> 1:13.0.2-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- [stable] consume virtualbmc from pip packages

* Wed Dec 18 2019 OSP Prod Chain <dev-null@redhat.com> 1:13.0.2-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Block ability update callback_url

* Mon Dec 16 2019 OSP Prod Chain <dev-null@redhat.com> 1:13.0.2-1
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Fix use of urlparse.urljoin

* Fri Dec 06 2019 OSP Prod Chain <dev-null@redhat.com> 1:13.0.2-1
- Update patches

* Thu Dec 05 2019 OSP Prod Chain <dev-null@redhat.com> 1:13.0.2-1
- Update patches

* Thu Dec 05 2019 Bob Fournier <bfournie@redhat.com> 1:13.0.3-0.20191202201523.cfa58af
- Implement managed in-band inspection boot for redfish-virtual-media (rhbz#1779288)
- redfish-vmedia: correctly pass ipa-debug (rhbz#1779288)
- Wire in in-band inspection for PXE boot and neutron-based networking (rhbz#1779288)
- Foundation for boot/network management for in-band inspection (rhbz#1779288)
- Backward compatibility for the ramdisk_params change (rhbz#1779288)
- Correct handling of ramdisk_params in (i)PXE boot (rhbz#1779288)

* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> 1:13.0.2-1
- Update patches
- Add timeout when querying agent's command statuses

* Wed Nov 20 2019 OSP Prod Chain <dev-null@redhat.com> 1:13.0.2-1
- Update patches
- Pass correct flags during PXE cleanup in iPXEBoot

* Thu Oct 31 2019 OSP Prod Chain <dev-null@redhat.com> 1:13.0.2-1
- Update patches
- Improve iDrac Documentation

* Mon Oct 28 2019 OSP Prod Chain <dev-null@redhat.com> 1:13.0.2-1
- Update patches

* Thu Oct 24 2019 OSP Prod Chain <dev-null@redhat.com> 1:13.0.1-1
- Update patches
- CI: limit rescue testing to only two jobs

* Wed Oct 23 2019 OSP Prod Chain <dev-null@redhat.com> 1:13.0.1-1
- Update patches
- Merge "Do not ignore 'fields' query parameter when building next url" into stable/train
- Do not ignore 'fields' query parameter when building next url

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 1:13.0.1-1
- Update patches
- Merge "Change MTU logic to allow for lower MTUs automatically" into stable/train
- Change MTU logic to allow for lower MTUs automatically
- Mask secrets when logging in json_rpc

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 1:13.0.1-1
- Update patches
- Read in non-blocking fashion when starting console

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> 1:13.0.1-1
- Update patches
- Fix drive sensors collection in `redfish` mgmt interface

* Wed Oct 16 2019 OSP Prod Chain <dev-null@redhat.com> 1:13.0.1-1
- Update patches
- Merge "DRAC: Fix a bug for clear_job_queue clean step with non-BIOS pending job" into stable/train
- DRAC: Fix a bug for delete_config with multiple controllers
- DRAC: Fix a bug for clear_job_queue clean step with non-BIOS pending job

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> 1:13.0.1-1
- Update patches

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> 1:13.0.0-1
- Update patches
- Merge "grub configuration should use user kernel & ramdisk" into stable/train
- Merge "DRAC: Fix a bug for job creation when only required" into stable/train
- grub configuration should use user kernel & ramdisk
- DRAC: Fix a bug for job creation when only required

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> 1:13.0.0-1
- Update patches
- Merge "Change log level based on node status" into stable/train
- Merge "Fix devstack installation failure" into stable/train
- Fix devstack installation failure
- Change log level based on node status
- Use correct function to stop service

* Tue Oct 01 2019 OSP Prod Chain <dev-null@redhat.com> 1:13.0.0-1
- Update patches

* Mon Sep 30 2019 RDO <dev@lists.rdoproject.org> 1:13.0.0-1
- Update to 13.0.0


